<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Product extends Model 
{

    protected $table = 'products';
    public $timestamps = true;

    public function categories()
    {
        return $this->belongsToMany('Category');
    }

    public function variannts()
    {
        return $this->hasMany('Variant');
    }

    public function brand()
    {
        return $this->belongsTo('Brand');
    }

    public function productGroups()
    {
        return $this->belongsToMany('ProductGroup');
    }

    public function filters()
    {
        return $this->hasMany('Filter');
    }

    public function orders()
    {
        return $this->belongsToMany('Order');
    }

}